cURL
curl --request GET \ --url https://api.tamtam.ai/api/v1/user-workflow-runs/{UserWorkflowRunID} \ --header 'Authorization: <api-key>'
{ "Run": { "AccountID": "<string>", "CreatedAt": "2023-11-07T05:31:56Z", "ID": "<string>", "UpdatedAt": "2023-11-07T05:31:56Z", "UserEmail": "<string>" }, "Status": "<string>", "Steps": [ { "CreatedAt": "2023-11-07T05:31:56Z", "ID": "<string>", "Status": "<string>", "StepType": "<string>", "UpdatedAt": "2023-11-07T05:31:56Z", "UserWorkflowRunID": "<string>", "Input": "<unknown>", "Output": "<unknown>", "ParentStepID": "<string>" } ] }
Get a specific workflow run with all its steps and their current status.
Account API key passed in the Authorization header
Workflow run UUID
"b3c6f5e2-1234-4abc-9def-0123456789ab"
OK
Workflow run details
Show child attributes
Current status of the workflow run
"RUNNING"
List of steps in the workflow